View Issue Details

IDProjectCategoryView StatusLast Update
0001101ScribusUser Interfacepublic2005-06-06 11:15
Reportercbradney Assigned Tocbradney  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformAthlon XP 2600+ 1gb ramOSGentoo LinuxOS VersionUp to date
Product Version1.3 
Fixed in Version1.3.0cvs 
Summary0001101: Add in general align tools in Distribute/Align
Descriptioneg, being able to center an object vertically or horizontally on a page, align left or right,

right click->align->left
                      ->right
                      ->centre
                      ->left margin
                      ->right margin
                      --------------
                      ->top
                      ->bottom
                      ->top margin
                      ->bottom margin
                      --------------
                      ->distribute/align
TagsNo tags attached.
Patch

Relationships

has duplicate 0001954 closedcbradney More and better alignment tools 

Activities

louisdesjardins

2004-09-18 13:02

developer   ~0002411

Very good idea!

dumolod

2004-11-22 11:02

reporter   ~0002933

Let me first say that I think that Scribus is a classy piece of software - particularly as it's GPL. I came across the product whilst researching the possibility for a client of mine of completely removing Windoze from a company and replacing everything with Linux/Unix. I'm just as interested in adopting the use of Linux myself but the stumbling block until now has been a lack of Desktop publishing software.

I publish an ever growing number of tri-fold leaflets for various organisations and I would like to suggest a facility for aligning things quickly and easily. I think I'm talking of the same thing as is addressed in bug/issue 0001101 - hence my addition to it.

I presently use Serif PagePlus 10 and this does pretty much what I would like to see in Scribus. In particular I can place three or four different object types one underneath the other, I can then select all or a selection of them by CTRL/Left click and I can then use a menu to align these objects to each other and withing guidelines. The most obvious example is placing a logo at the top of a tri-fold 'page', placing a text box underneath the logo and then a picture underneath the text box, then selecting all three one after the other and finally asking the program to centre all the objects between the nearest two guides. I suppose a useful addition would be to include guides amongst the selection and then use the selected guides instead of the nearest guides but that's really a bit too much to ask, me thinks!

That's it, for now!

Regards,

Dave

louisdesjardins

2004-11-22 13:52

developer   ~0002935

The *include guides* or *between guides* idea sounds really good.

Distribute/align on facing pages or even spreads composed of more than 2 pages could be a nice addition.

Suggestion: I think a relationship can be established with bug 0000480

cbradney

2005-06-04 17:11

administrator   ~0004893

See new align/distribute palette.

Issue History

Date Modified Username Field Change
2004-09-17 21:35 cbradney New Issue
2004-09-17 21:37 cbradney Description Updated
2004-09-17 21:39 cbradney Description Updated
2004-09-18 13:02 louisdesjardins Note Added: 0002411
2004-11-22 11:02 dumolod Note Added: 0002933
2004-11-22 13:52 louisdesjardins Note Added: 0002935
2005-05-04 19:19 cbradney Relationship added has duplicate 0001954
2005-06-01 18:06 cbradney Status new => assigned
2005-06-01 18:06 cbradney Assigned To => cbradney
2005-06-04 17:11 cbradney Status assigned => resolved
2005-06-04 17:11 cbradney Fixed in Version => 1.3.0cvs
2005-06-04 17:11 cbradney Resolution open => fixed
2005-06-04 17:11 cbradney Note Added: 0004893
2005-06-06 11:15 cbradney Status resolved => closed